QGIS Application - Bug report #14236

Moved labels disappear from the rotated map canvas and from rotated print composer on projected

CRS
2016-02-05 04:53 AM - Isabella Merkulova

Status: Closed
Priority: Normal
Assignee:

Category: Map Canvas

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 22233

Description

Bug is presented when you choose in Project properties any projected coordinate system (not geographic). Labels that have been moved

with "move label tool" dissapear from map canvas or print composer when you try to rotate map. This is related to bug #12005 , that is

closed, but problem hasn't been solved.

Associated revisions

Revision d36fb619 - 2016-10-03 06:21 AM - Nyall Dawson

[labeling] Fix data defined placement with rotated maps

For layers requiring reprojection and with rotated maps any
labels with data defined x/y would not be rendered

Fix #14236

Revision c2fbab19 - 2016-10-06 02:14 PM - Nyall Dawson
[labeling] Fix data defined placement with rotated maps
For layers requiring reprojection and with rotated maps any

labels with data defined x/y would not be rendered

Fix #14236

(cherry-picked from d36fb619b5a210406aaa50ed3aab59763f5f749a)

Revision e42bd87b - 2016-10-06 02:15 PM - Nyall Dawson
[labeling] Fix data defined placement with rotated maps
For layers requiring reprojection and with rotated maps any

labels with data defined x/y would not be rendered

Fix #14236

(cherry-picked from d36fb619b5a210406aaa50ed3aab59763f5f749a)
Revision 446493d1 - 2016-10-06 02:27 PM - Nyall Dawson
[labeling] Fix data defined placement with rotated maps

For layers requiring reprojection and with rotated maps any
labels with data defined x/y would not be rendered

Fix #14236

(cherry-picked from d36fb619b5a210406aaa50ed3aab59763f5f749a)

History

#1 - 2016-02-05 05:39 AM - Giovanni Manghi
- Status changed from Open to Feedback

| cannot confirm on QGIS master.

- label a layer

- set fields for data defined position
- toggle editing, move label

- save

- rotate map > the moved label shows in the new place

What is still confirmed is #13840

#2 - 2016-02-08 12:10 AM - Isabella Merkulova
- File label-problem.qgs added

Giovanni Manghi wrote:

I cannot confirm on QGIS master.
- label a layer
- set fields for data defined position
- toggle editing, move label
- save

- rotate map > the moved label shows in the new place

What is still confirmed is #13840

Well, | can't say that it's true for my projects. | attach a project for example. Here names of objects in black font have higher priority than labels in purple
font. Labels in black have coordinates ($x and $y) and they disappear from print composer with rotated map (look at the print composer "rotation-map").

#3 - 2016-02-09 02:02 PM - Giovanni Manghi
- Status changed from Feedback to Open

Well, I can't say that it's true for my projects. | attach a project for example. Here names of objects in black font have higher priority than labels in
purple font. Labels in black have coordinates ($x and $y) and they disappear from print composer with rotated map (look at the print composer
"rotation-map”).

That's why is important attaching sample projects and data, | can clearly see the issue with yours, but | wasn't able to replicate myself.

#4 - 2016-10-02 09:24 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"d36fb619b5a210406aaa50ed3aab59763f5f749a".
